$chan.matchmask Matches a mask against the channel list for a specific mode
Usage
<string> $chan.matchmask(<mode:char>,<complete_mask:string>[,window_id])
Description

Matches the provided <complete_mask> against the mask list for channel mode <mode> on the channel identified by [window_id].
If no mask matches <complete_mask> an empty string is returned.
If [window_id] is empty, the current window is used.
If the window designated by [window_id] is not a channel a warning is printed and an empty string is returned.
Please note that some IRC servers use channel list modes not only to store masks, but also for other data such as nicknames. This function should be able to match them as long as they are strings.

Index, Functions